# 🚀 Stateless Animation

💡 _Note: These examples uses **[supercharged](https://pub.dev/packages/supercharged)** for syntactic sugar._

## Simple PlayAnimation widget

Animates the size of a square within a stateless widget.

![example1](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_stateless_animation/v1/stateless-animation-1.gif)

@code tool/templates/code/examples/sa1.dart

## PlayAnimation widget with a child

This example demonstrates the usage of a child widget along with `PlayAnimation`.

![example2](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_stateless_animation/v1/stateless-animation-2.gif)

@code tool/templates/code/examples/sa2.dart

## PlayAnimation with non-linear animation

This example demonstrates a non-linear animation. A pink square increases it's size. The `easeOut` curve applied to the animation makes it slow down at the end.

![example3](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_stateless_animation/v1/stateless-animation-3.gif)

@code tool/templates/code/examples/sa3.dart

## PlayAnimation with delay

This example demonstrates an animation that waits for two seconds before it starts it's animation.

![example4](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_stateless_animation/v1/stateless-animation-4.gif)

@code tool/templates/code/examples/sa4.dart

## LoopAnimation

Animation that repeatly pops up a text.

![example5](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_stateless_animation/v1/stateless-animation-5.gif)

@code tool/templates/code/examples/sa5.dart

## MirrorAnimation

This examples endlessly moves a green box from left to right.

![example6](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_stateless_animation/v1/stateless-animation-6.gif)

@code tool/templates/code/examples/sa6.dart

## CustomAnimation in stateless environment

Example of a pulsing square created with a fully configured `CustomAnimation` widget.

![example7](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_stateless_animation/v1/stateless-animation-7.gif)

@code tool/templates/code/examples/sa7.dart

## CustomAnimation in a stateful environment

This example demonstrates the usage of `CustomAnimation` in a stateful widget.

![example8](https://raw.githubusercontent.com/felixblaschke/simple_animations_documentation_assets/master/sa_stateless_animation/v1/stateless-animation-8.gif)

@code tool/templates/code/examples/sa8.dart
